CREATE TABLE cmp_cwb_model_b (
    MODEL_ID                  NUMBER(18, 0),
    ASSIGNMENT_ID             NUMBER(18, 0),
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    PERIOD_ID                 NUMBER(18, 0),
    COMPONENT_ID              NUMBER(18, 0),
    DATE_SAVED                DATE         ,
    PERSON_EVENT_ID           NUMBER(18, 0),
    VAL_TYPE_CD               VARCHAR2(120),
    PLAN_ID                   NUMBER(18, 0),
    PERSON_ID                 NUMBER(18, 0),
    CRIT_CD1                  VARCHAR2(120)    NOT NULL,
    CRIT_CD2                  VARCHAR2(120),
    CRIT_CD3                  VARCHAR2(120),
    CRIT_CD4                  VARCHAR2(120),
    ALCT_BY_CD                VARCHAR2(120)    NOT NULL,
    ACCESS_CD                 VARCHAR2(120),
    SHOW_PROPERTIES_FLAG      VARCHAR2(120),
    SHOW_SUMMARY_FLAG         VARCHAR2(120),
    REFERENCE_ONLY            VARCHAR2(120),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    SELECT_PURPOSE            VARCHAR2(120),
    BUDGET_FUND_LEVEL         VARCHAR2(120),
    OVERWRITE_BUDGETS_FLAG    VARCHAR2(120),
    PUBLISH_LEVEL_FLAG        VARCHAR2(120),
    IS_BATCH_MODE             VARCHAR2(80) ,
    LOGIN_PERSON_ID           NUMBER(18, 0),
    ROLE                      VARCHAR2(4)  ,
    MODEL_ID                  NUMBER(18, 0),
    ASSIGNMENT_ID             NUMBER(18, 0),
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    PERIOD_ID                 NUMBER(18, 0),
    COMPONENT_ID              NUMBER(18, 0),
    DATE_SAVED                DATE         ,
    PERSON_EVENT_ID           NUMBER(18, 0),
    VAL_TYPE_CD               VARCHAR2(120),
    PLAN_ID                   NUMBER(18, 0),
    PERSON_ID                 NUMBER(18, 0),
    CRIT_CD1                  VARCHAR2(120)    NOT NULL,
    CRIT_CD2                  VARCHAR2(120),
    CRIT_CD3                  VARCHAR2(120),
    CRIT_CD4                  VARCHAR2(120),
    ALCT_BY_CD                VARCHAR2(120)    NOT NULL,
    ACCESS_CD                 VARCHAR2(120),
    SHOW_PROPERTIES_FLAG      VARCHAR2(120),
    SHOW_SUMMARY_FLAG         VARCHAR2(120),
    REFERENCE_ONLY            VARCHAR2(120),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    SELECT_PURPOSE            VARCHAR2(120),
    BUDGET_FUND_LEVEL         VARCHAR2(120),
    OVERWRITE_BUDGETS_FLAG    VARCHAR2(120),
    PUBLISH_LEVEL_FLAG        VARCHAR2(120),
    IS_BATCH_MODE             VARCHAR2(80) ,
    LOGIN_PERSON_ID           NUMBER(18, 0),
    ROLE                      VARCHAR2(4)  ,
    CONSTRAINT pk_cmp_cwb_model_b PRIMARY KEY (MODEL_ID, MODEL_ID)
);
